OpenSSL 1.1.1-pre2

This commit is contained in:
Hakase
2018-04-07 17:29:40 +09:00
parent 82a44d2483
commit bbac8ca55d
17755 changed files with 221242 additions and 98415 deletions
+19 -33
View File
@@ -1,5 +1,5 @@
#!/bin/sh
# Copyright 1998-2016 The OpenSSL Project Authors. All Rights Reserved.
# Copyright 1998-2017 The OpenSSL Project Authors. All Rights Reserved.
#
# Licensed under the OpenSSL license (the "License"). You may not use
# this file except in compliance with the License. You can obtain a copy
@@ -35,7 +35,8 @@ See INSTALL for instructions.
EOF
;;
*) options=$options" $i" ;;
*) i=`echo "$i" | sed -e "s|'|'\\\\\\''|g"`
options="$options '$i'" ;;
esac
done
@@ -187,6 +188,10 @@ case "${SYSTEM}:${RELEASE}:${VERSION}:${MACHINE}" in
echo "${MACH}-${ARCH}-freebsd${VERS}"; exit 0
;;
DragonFly:*)
echo "${MACHINE}-whatever-dragonfly"; exit 0
;;
FreeBSD:*)
echo "${MACHINE}-whatever-freebsd"; exit 0
;;
@@ -450,13 +455,6 @@ case "$GUESSOS" in
OUT=uClinux-dist
;;
mips3-sgi-irix)
#CPU=`(hinv -t cpu) 2>/dev/null | head -1 | sed 's/^CPU:[^R]*R\([0-9]*\).*/\1/'`
#CPU=${CPU:-0}
#if [ $CPU -ge 5000 ]; then
# options="$options -mips4"
#else
# options="$options -mips3"
#fi
OUT="irix-mips3-$CC"
;;
mips4-sgi-irix64)
@@ -466,13 +464,6 @@ case "$GUESSOS" in
echo " You have about 5 seconds to press Ctrl-C to abort."
(trap "stty `stty -g`; exit 0" 2 0; stty -icanon min 0 time 50; read waste) <&1
fi
#CPU=`(hinv -t cpu) 2>/dev/null | head -1 | sed 's/^CPU:[^R]*R\([0-9]*\).*/\1/'`
#CPU=${CPU:-0}
#if [ $CPU -ge 5000 ]; then
# options="$options -mips4"
#else
# options="$options -mips3"
#fi
OUT="irix-mips3-$CC"
;;
ppc-apple-rhapsody) OUT="rhapsody-ppc-cc" ;;
@@ -498,9 +489,7 @@ case "$GUESSOS" in
echo " invoke 'KERNEL_BITS=64 $THERE/config $options'."
if [ "$DRYRUN" = "false" -a -t 1 ]; then
echo " You have about 5 seconds to press Ctrl-C to abort."
# The stty technique used elsewhere doesn't work on
# MacOS. At least, right now on this Mac.
sleep 5
(trap "stty `stty -g`; exit 1" 2; stty -icanon min 0 time 50; read waste; exit 0) <&1 || exit
fi
fi
if [ "$ISA64" = "1" -a "$KERNEL_BITS" = "64" ]; then
@@ -509,16 +498,6 @@ case "$GUESSOS" in
OUT="darwin-i386-cc"
fi ;;
x86_64-apple-darwin*)
if [ -z "$KERNEL_BITS" ]; then
echo "WARNING! If you wish to build 32-bit library, then you have to"
echo " invoke 'KERNEL_BITS=32 $THERE/config $options'."
if [ "$DRYRUN" = "false" -a -t 1 ]; then
echo " You have about 5 seconds to press Ctrl-C to abort."
# The stty technique used elsewhere doesn't work on
# MacOS. At least, right now on this Mac.
sleep 5
fi
fi
if [ "$KERNEL_BITS" = "32" ]; then
OUT="darwin-i386-cc"
else
@@ -713,6 +692,7 @@ case "$GUESSOS" in
powerpc64-*-*bsd*) OUT="BSD-generic64"; options="$options -DB_ENDIAN" ;;
sparc64-*-*bsd*) OUT="BSD-sparc64" ;;
ia64-*-*bsd*) OUT="BSD-ia64" ;;
x86_64-*-dragonfly*) OUT="BSD-x86_64" ;;
amd64-*-*bsd*) OUT="BSD-x86_64" ;;
*86*-*-*bsd*) # mimic ld behaviour when it's looking for libc...
if [ -L /usr/lib/libc.so ]; then # [Free|Net]BSD
@@ -869,7 +849,7 @@ case "$GUESSOS" in
i386-*) options="$options 386" ;;
esac
for i in aes bf camellia cast des dh dsa ec hmac idea md2 md5 mdc2 rc2 rc4 rc5 ripemd rsa seed sha
for i in aes aria bf camellia cast des dh dsa ec hmac idea md2 md5 mdc2 rc2 rc4 rc5 ripemd rsa seed sha sm3 sm4
do
if [ ! -d $THERE/crypto/$i ]
then
@@ -919,15 +899,21 @@ OUT="$OUT"
$PERL $THERE/Configure LIST | grep "$OUT" > /dev/null
if [ $? = "0" ]; then
echo Configuring for $OUT
if [ "$VERBOSE" = "true" ]; then
echo $PERL $THERE/Configure $OUT $options
fi
if [ "$DRYRUN" = "false" ]; then
$PERL $THERE/Configure $OUT $options
# eval to make sure quoted options, possibly with spaces inside,
# are treated right
eval $PERL $THERE/Configure $OUT $options
fi
else
echo "This system ($OUT) is not supported. See file INSTALL for details."
exit 1
fi
if [ "$OUT" = "darwin64-x86_64-cc" ]; then
echo "WARNING! If you wish to build 32-bit libraries, then you have to"
echo " invoke 'KERNEL_BITS=32 $THERE/config $options'."
fi
)